Subject: Re: [PATCH iproute2] iplink: bond_slave: fix ad_actor/partner_oper_port_state output

From: Nikolay Aleksandrov <[email-masked]>
Date: Mon, 8 Feb 2016 21:56:32 +0100

On 02/08/2016 05:13 PM, Nikolay Aleksandrov wrote:
> From: Nikolay Aleksandrov <[email-masked]>
> 
> It seems that I've made a mistake when I exported these, instead of a
> space in the end I've put a newline character which is wrong and breaks
> the single line output.
> 
> Fixes: 7d6bc3b87abad ("bonding: export 3ad actor and partner port state")
> Reported-by: Sam Tannous <[email-masked]>
> Signed-off-by: Nikolay Aleksandrov <[email-masked]>
> ---
>  ip/iplink_bond_slave.c | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 

I'm not sure if this patch is appropriate as there might be scripts that already
parse it like this (with newline at the end). So if it's not acceptable I can suggest
a different approach where iplink_bond_slave will account for the "oneline" argument
and only then print it with a space so people will have an option. But currently
this breaks the one line "way" of printing that all other iplink users are doing.